[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Source_flux_lambda` Component

Neutron source with flat wavelength spectrum and user-specified flux.

## Identification

- Author: Kristian Nielsen
- Origin: Risoe
- Date: 1998
- Version: 1.19
- Modification history:
  - EF, KL, October 30, 2001. Illumination corrected

## Description

    The routine is a circular neutron source, which aims at a square target
    centered at the beam (in order to improve MC-acceptance rate).  The angular
    divergence is then given by the dimensions of the target. The neutron
    wavelength is uniformly distributed between lambda_0 - d_lambda and
    lambda_0 + d_lambda. The source flux is specified in neutrons per steradian
    per square cm per AAngstroem.

    Example: Source_flux_lambda(radius=0.1, dist=2, xw=.1, yh=.1,
              lambda_0=2.36, d_lambda=.3, flux=1e13)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
radius | m | Radius of circle in (x,y,0) plane where neutrons are generated. |
dist | m | Distance to target along z axis. |
xw | m | Width(x) of target |
yh | m | Height(y) of target |
lambda_0 | AA | Mean wavelength of neutrons. |
d_lambda | AA | Wavelength spread of neutrons. |
flux | 1/(cm**2*st*AA) | Source flux |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
p_in |  |  |

## Links

- Source code for `Source_flux_lambda.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]